com.informix.jns

## Class Sqlhosts

- java.lang.Object
- - com.informix.jns.Sqlhosts

    public class Sqlhosts
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Sqlhosts(java.util.Properties sqhenv)` Constructs a Sqlhost Object.

### Method Summary

Methods
`ServerInfo` `getServer(java.lang.String sname)` Gets the ServerInfo given the server name string
`ServerGroup` `getServerGroup(java.lang.String sname)` Gets the ServerGroup given the server group name string
`ServerGroup` `listServers()` Lists all the servers in the SQLHOSTS

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Sqlhosts

    public Sqlhosts(java.util.Properties sqhenv)
             throws IfxJNSException

Constructs a Sqlhost Object.

Parameters:
  `sqhenv` - the environement properties list that provides the necessary parameters. Following [optional] properties are defined : "SQLH_TYPE" --> values "FILE" or "LDAP" // where the sqlhosts data come from. "SQLH_FILE" --> value 'the file name' if SQLH_TYPE is "FILE" "LDAP_URL" --> value 'the ldap url' if SQLH_TYPE is "LDAP" // format == "ldap://host:port" "LDAP_USER" --> value 'the ldap user name' "LDAP_PASSWD" --> value 'the ldap user password' "LDAP_IFXBASE" --> value 'the ldap node dn that is the root for Informix components' "LDAP_SQHRDN" --> value 'the relative ldap dn under LDAP_IFXBASE that is the root for SQLHOSTS'
Throws:
  `IfxJNSException`

### Method Detail

#### getServer

    public ServerInfo getServer(java.lang.String sname)
                         throws IfxJNSException

Gets the ServerInfo given the server name string

Parameters:
  `sname` - the server name string
Throws:
  `IfxJNSException`

#### getServerGroup

    public ServerGroup getServerGroup(java.lang.String sname)
                               throws IfxJNSException

Gets the ServerGroup given the server group name string

Parameters:
  `sname` - the server group name string
Throws:
  `IfxJNSException`

#### listServers

    public ServerGroup listServers()
                            throws IfxJNSException

Lists all the servers in the SQLHOSTS

Throws:
  `IfxJNSException`